<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>My Projects</title>
    </head>
    <body>
        <header>
            <main>
                <nav>
                    <ul>
                        {% if user.is_authenticated %}
                            <li>
                                <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                            </li>
                            <li>
                                <a href="{% url 'list_projects' %}">My Projects</a>
                            </li>
                            <li>
                                <a href="{% url 'logout' %}">Logout</a>
                            </li>
                        {% else %}
                            <li>
                                <a href="{% url 'login' %}">Login</a>
                            </li>
                            <li>
                                <a href="{% url 'signup' %}">Signup</a>
                            </li>
                        {% endif %}
                    </ul>
                </nav>
            </header>
            <div>
                <h1>My Projects</h1>
                <p>
                    <a href="{% url 'create_project' %}">Create a new project</a>
                </p>
                {% if not projects %}
                    <p>You are not assigned to any projects</p>
                {% else %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Number of Tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for project in projects %}
                                <tr>
                                    <td>
                                        <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                    </td>
                                    <td>{{ project.tasks.all|length }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </main>
    </body>
</html>
